Debian Bug report logs - #70000
suggestion: add pam_warn to pam.d/others to help package debugging

version graph

Package: libpam0g; Maintainer for libpam0g is Steve Langasek <vorlon@debian.org>; Source for libpam0g is src:pam.

Reported by: Henrique M Holschuh <hmh+debianbug@rcm.org.br>

Date: Sat, 26 Aug 2000 11:18:32 UTC

Severity: wishlist

Found in version 0.72-9

Done: Ben Collins <bcollins@debian.org>

Bug is archived. No further changes may be made.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, Ben Collins <bcollins@debian.org>:
Bug#70000; Package libpam0g. Full text and rfc822 format available.

Acknowledgement sent to Henrique M Holschuh <hmh+debianbug@rcm.org.br>:
New Bug report received and forwarded. Copy sent to Ben Collins <bcollins@debian.org>. Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: Henrique M Holschuh <hmh+debianbug@rcm.org.br>
To: Debian Bug Tracking System <submit@bugs.debian.org>
Subject: suggestion: add pam_warn to pam.d/others to help package debugging
Date: Sat, 26 Aug 2000 08:16:18 -0300
Package: libpam0g
Version: 0.72-9
Severity: wishlist

Maybe pam_warn.so should be added to /etc/pam.d/others so that it's easy
to flag any debian packages which are using others instead of providing
their own pam.d file?  

The pam_warn.so was very useful tracking down the fact that cron was
pam-enabled but didn't have a pam.d file in my system, for example (and cron
promptly broke because my others file calls pam_deny.so :-) ).

-- System Information
Debian Release: woody
Architecture: i386
Kernel: Linux godzillah.rivendell.sol 2.2.17pre20 #1 Fri Aug 25 00:37:40 BRT 2000 i586

Versions of packages libpam0g depends on:
ii  libc6                         2.1.3-10   GNU C Library: Shared libraries an
ii  libpam-runtime                0.72-9     Runtime support for the PAM librar

-- 
  "One disk to rule them all, One disk to find them. One disk to bring
  them all and in the darkness grind them. In the Land of Redmond
  where the shadows lie." -- The Silicon Valley Tarot
  Henrique Holschuh



Reply sent to Ben Collins <bcollins@debian.org>:
You have taken responsibility. Full text and rfc822 format available.

Notification sent to Henrique M Holschuh <hmh+debianbug@rcm.org.br>:
Bug acknowledged by developer. Full text and rfc822 format available.

Message #10 received at 70000-close@bugs.debian.org (full text, mbox):

From: Ben Collins <bcollins@debian.org>
To: 70000-close@bugs.debian.org
Subject: Bug#70000: fixed in pam 0.72-11
Date: Thu, 31 Aug 2000 14:52:53 -0400
We believe that the bug you reported is fixed in the latest version of
pam, which has been installed in the Debian FTP archive:
libpam-modules_0.72-11_sparc.deb
  to dists/woody/main/binary-sparc/base/libpam-modules_0.72-11.deb
  replacing libpam-modules_0.72-10.deb
pam_0.72-11.diff.gz
  to dists/woody/main/source/libs/pam_0.72-11.diff.gz
  replacing pam_0.72-10.diff.gz
libpam0g_0.72-11_sparc.deb
  to dists/woody/main/binary-sparc/base/libpam0g_0.72-11.deb
  replacing libpam0g_0.72-10.deb
libpam-cracklib_0.72-11_sparc.deb
  to dists/woody/main/binary-sparc/libs/libpam-cracklib_0.72-11.deb
  replacing libpam-cracklib_0.72-10.deb
pam_0.72-11.dsc
  to dists/woody/main/source/libs/pam_0.72-11.dsc
  replacing pam_0.72-10.dsc
libpam-runtime_0.72-11_sparc.deb
  to dists/woody/main/binary-sparc/base/libpam-runtime_0.72-11.deb
  replacing libpam-runtime_0.72-10.deb
libpam0g-dev_0.72-11_sparc.deb
  to dists/woody/main/binary-sparc/devel/libpam0g-dev_0.72-11.deb
  replacing libpam0g-dev_0.72-10.deb
libpam-doc_0.72-11_all.deb
  to dists/woody/main/binary-all/doc/libpam-doc_0.72-11.deb
  replacing libpam-doc_0.72-10.deb

Note that this package is not part of the released stable Debian
distribution.  It may have dependencies on other unreleased software,
or other instabilities.  Please take care if you wish to install it.
The update will eventually make its way into the next released Debian
distribution.

A summary of the changes between this version and the previous one is
attached.

Thank you for reporting the bug, which will now be closed.  If you
have further comments please address them to 70000@bugs.debian.org,
and the maintainer will reopen the bug report if appropriate.

Debian distribution maintenance software
pp.
Ben Collins <bcollins@debian.org> (supplier of updated pam package)

(This message was generated automatically at their request; if you
believe that there is a problem with it please contact the archive
administrators by mailing ftpmaster@debian.org)


-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA1

Format: 1.6
Date: Wed, 30 Aug 2000 18:39:32 -0400
Source: pam
Binary: libpam-cracklib libpam-runtime libpam-doc libpam0g-dev libpam-modules libpam0g
Architecture: source sparc all
Version: 0.72-11
Distribution: frozen unstable
Urgency: low
Maintainer: Ben Collins <bcollins@debian.org>
Description: 
 libpam-cracklib - PAM module to enable cracklib support.
 libpam-doc - Documentation of PAM
 libpam-modules - Pluggable Authentication Modules for PAM
 libpam-runtime - Runtime support for the PAM library
 libpam0g   - Pluggable Authentication Modules library
 libpam0g-dev - Development files for PAM
Closes: 59459 61090 61759 62448 63752 64473 64854 66270 67291 69236 69242 70000
Changes: 
 pam (0.72-11) frozen unstable; urgency=low
 .
   * Removed all traces of pwdb in packages. libpwdb has been removed from
     the archive. This means that the pam_pwdb and pam_radius modules are
     no longer available (from the libpam-pwdb package).
   * doc/modules/pam_wheel.sgml: Really spell out that being a member of a
     group meands the user is listed in /etc/group, closes: #69242
   * doc/*: s/PAM_AUTHOK_RECOVERY_ERR/PAM_AUTHOK_RECOVER_ERR/g,
     closes: #64473
   * pam_wheel: PAM does not distinguish it, the libc calls make the
     distinction. The users gid is returned in their passwd info, while
     getgrent() returns only the members of the group listed in /etc/group.
     This is ok, because if it's really that important, you can actually
     have it in both places. The fact that it's documented should suffice
     in making this clear, closes: #69236
   * Sorry, but seperate modules generally need to be packaged seperately.
     I don't want to overload this package with everyone's pet module, so I
     have to put my foot down, closes: #61759
   * Actually, I'm going to move in Woody to make packages depend more on
     the defaults in /etc/pam.d/other, so that admins have less to
     maintain. For one, all packages should not have a password service
     listed, closes: #70000 (YAY! I got the 70k rollover bug number!)
   * Sorry, I can't include this. "," is a legitimate char in a password
     salt/hash. If you can code up something that is super intelligent
     about lenghts of the field, I can go for it, maybe, closes: #59459
   * modules/pam_limits: Added chroot feature patch, closes: #61090
   * modules/pam_access: Allow last field to contain ':', closes: #67291
   * modules/pam_limits: Allow explicit limits for root, closes: #62448
   * modules/pam_unix: Do not zero old/new password fields, libpam does
     this itself, and doing so in the module breaks stacking,
     closes: #66270
   * modules/pam_group: Allow alpha *and* numeric in tty field (duh),
     closes: #63752
   * modules/pam_access: Enable NIS, closes: #64854
   * libpam0g-dbg: removed, useless anyway
Files: 
 e237b682e87cc4cba1e7bbcbc8f3d524 752 base optional pam_0.72-11.dsc
 6cb1eaae83f809b018a012732e1fc028 50006 base optional pam_0.72-11.diff.gz
 fb4ea0189c353739a665a6d8f4550073 596096 doc optional libpam-doc_0.72-11_all.deb
 c2c1a50baecc414ed39abe3697648ad8 59798 base required libpam0g_0.72-11_sparc.deb
 bdaa03a972e1965b2a3bf1abec577efb 142044 base required libpam-modules_0.72-11_sparc.deb
 f381d8d4da797254e989714de083966f 40662 base required libpam-runtime_0.72-11_sparc.deb
 d591ab97149c0f4b5a3472221c09238a 186626 devel optional libpam0g-dev_0.72-11_sparc.deb
 a290282f43b59464f8a9ab036e18686e 41430 admin optional libpam-cracklib_0.72-11_sparc.deb

-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.0.1 (GNU/Linux)
Comment: Ben Collins <bcollins@debian.org>

iD8DBQE5rbMAfNc/ZB4E7C0RAr8NAKCLjUIV8VGl6RBz3MKp/zws1ouPVgCgiDhV
lXoUVzChtoBjeV/SBZvc/kw=
=4Wzk
-----END PGP SIGNATURE-----




Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Mon Apr 21 12:08:32 2014; Machine Name: buxtehude.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.